[Xfce4-commits] <xfce-git-hooks:master> add xfce_git_hook_error() function; don't error out when no mailing list
Brian J. Tarricone
brian at tarricone.org
Wed Aug 12 21:28:05 CEST 2009
Updating branch refs/heads/master
to 018e0ff38f5d4df58a874ef0ff122c3131a751ff (commit)
from e70ca98e0d5e1951cde7d7bbe937a54006d1d8ca (commit)
commit 018e0ff38f5d4df58a874ef0ff122c3131a751ff
Author: Brian J. Tarricone <brian at tarricone.org>
Date: Mon Aug 10 14:32:44 2009 -0700
add xfce_git_hook_error() function; don't error out when no mailing list
hooks/update-01-block-commits-to-tags | 1 +
hooks/update-03-send-commit-mails | 9 ++++++++-
2 files changed, 9 insertions(+), 1 deletions(-)
diff --git a/hooks/update-01-block-commits-to-tags b/hooks/update-01-block-commits-to-tags
index 612f104..49b1ec2 100755
--- a/hooks/update-01-block-commits-to-tags
+++ b/hooks/update-01-block-commits-to-tags
@@ -12,6 +12,7 @@ case $refname in
echo "Modifying existing tags is not allowed" >&2
exit 1
fi
+ ;;
*)
;;
esac
diff --git a/hooks/update-03-send-commit-mails b/hooks/update-03-send-commit-mails
index f58197f..931a99b 100755
--- a/hooks/update-03-send-commit-mails
+++ b/hooks/update-03-send-commit-mails
@@ -106,9 +106,16 @@ xfce_git_hook_merge_base()
git merge-base "$1" "$2"
}
+xfce_git_hook_error()
+{
+ echo "$1" >&2
+ exit 1
+}
+
# Check if we got an email address to send to
if [ -z "$mailinglist" ]; then
- xfce_git_hook_error "xfcehooks.mailinglist not set. Cannot send commit mails."
+ exit 0
+ #xfce_git_hook_error "xfcehooks.mailinglist not set. Cannot send commit mails."
fi
# Parse the command line
More information about the Xfce4-commits
mailing list